Index: src/mlx/gui/flightlist.py
===================================================================
--- src/mlx/gui/flightlist.py	(revision 999)
+++ src/mlx/gui/flightlist.py	(revision 868)
@@ -22,5 +22,5 @@
         self._convertFn = convertFn
         self._renderer = \
-          Gtk.CellRendererText() if renderer is None else renderer
+          gtk.CellRendererText() if renderer is None else renderer
         self._extraColumnAttributes = extraColumnAttributes
         self._sortable = sortable
@@ -47,12 +47,12 @@
 
         @param index is the 0-based index of the column."""
-        if isinstance(self._renderer, Gtk.CellRendererText):
-            column = Gtk.TreeViewColumn(self._heading, self._renderer,
+        if isinstance(self._renderer, gtk.CellRendererText):
+            column = gtk.TreeViewColumn(self._heading, self._renderer,
                                         text = index)
-        elif isinstance(self._renderer, Gtk.CellRendererToggle):
-            column = Gtk.TreeViewColumn(self._heading, self._renderer,
+        elif isinstance(self._renderer, gtk.CellRendererToggle):
+            column = gtk.TreeViewColumn(self._heading, self._renderer,
                                         active = index)
         else:
-            column = Gtk.TreeViewColumn(self._heading, self._renderer)
+            column = gtk.TreeViewColumn(self._heading, self._renderer)
         column.set_expand(True)
         if self._sortable:
@@ -61,5 +61,5 @@
 
         if self._extraColumnAttributes is not None:
-            for (key, value) in self._extraColumnAttributes.items():
+            for (key, value) in self._extraColumnAttributes.iteritems():
                 if key=="alignment":
                     self._renderer.set_alignment(value, 0.5)
@@ -83,5 +83,5 @@
 #-----------------------------------------------------------------------------
 
-class FlightList(Gtk.Alignment):
+class FlightList(gtk.Alignment):
     """Construct the flight list.
 
@@ -114,13 +114,13 @@
             columnDescriptor.appendType(types)
 
-        self._model = Gtk.ListStore(*types)
+        self._model = gtk.ListStore(*types)
         if defaultSortableIndex is not None:
-            sortOrder = Gtk.SortType.DESCENDING \
+            sortOrder = SORT_DESCENDING \
               if self._columnDescriptors[defaultSortableIndex-1]._defaultDescending \
-              else Gtk.SortType.ASCENDING
+              else SORT_ASCENDING
             self._model.set_sort_column_id(defaultSortableIndex, sortOrder)
-        self._view = Gtk.TreeView(self._model)
-
-        flightIndexColumn = Gtk.TreeViewColumn()
+        self._view = gtk.TreeView(self._model)
+
+        flightIndexColumn = gtk.TreeViewColumn()
         flightIndexColumn.set_visible(False)
         self._view.append_column(flightIndexColumn)
@@ -138,14 +138,17 @@
         selection.connect("changed", self._selectionChanged)
         if multiSelection:
-            selection.set_mode(Gtk.SelectionMode.MULTIPLE)
-
-        scrolledWindow = Gtk.ScrolledWindow()
+            selection.set_mode(SELECTION_MULTIPLE)
+
+        scrolledWindow = gtk.ScrolledWindow()
         scrolledWindow.add(self._view)
         if widthRequest is not None:
             scrolledWindow.set_size_request(widthRequest, -1)
         # FIXME: these should be constants in common.py
-        scrolledWindow.set_policy(Gtk.PolicyType.AUTOMATIC,
-                                  Gtk.PolicyType.AUTOMATIC)
-        scrolledWindow.set_shadow_type(Gtk.ShadowType.IN)
+        scrolledWindow.set_policy(gtk.PolicyType.AUTOMATIC if pygobject
+                                  else gtk.POLICY_AUTOMATIC,
+                                  gtk.PolicyType.AUTOMATIC if pygobject
+                                  else gtk.POLICY_AUTOMATIC)
+        scrolledWindow.set_shadow_type(gtk.ShadowType.IN if pygobject
+                                       else gtk.SHADOW_IN)
 
         super(FlightList, self).__init__(xalign = 0.5, yalign = 0.0,
@@ -168,5 +171,5 @@
     def hasFlights(self):
         """Determine if there are any flights in the list."""
-        return self._model.get_iter_first() is not None
+        return self._model.get_iter_root() is not None
 
     def clear(self):
@@ -206,5 +209,5 @@
     def _buttonPressEvent(self, widget, event):
         """Called when a mouse button is pressed or released."""
-        if event.type!=Gdk.EventType.BUTTON_PRESS or event.button!=3 or \
+        if event.type!=EVENT_BUTTON_PRESS or event.button!=3 or \
            self._popupMenuProducer is None:
             return
@@ -219,5 +222,8 @@
             self._popupMenu = self._popupMenuProducer()
         menu = self._popupMenu
-        menu.popup(None, None, None, None, event.button, event.time)
+        if pygobject:
+            menu.popup(None, None, None, None, event.button, event.time)
+        else:
+            menu.popup(None, None, None, event.button, event.time)
 
     def _selectionChanged(self, selection):
@@ -227,13 +233,13 @@
 #-------------------------------------------------------------------------------
 
-GObject.signal_new("row-activated", FlightList, GObject.SIGNAL_RUN_FIRST,
+gobject.signal_new("row-activated", FlightList, gobject.SIGNAL_RUN_FIRST,
                    None, (int,))
 
-GObject.signal_new("selection-changed", FlightList, GObject.SIGNAL_RUN_FIRST,
+gobject.signal_new("selection-changed", FlightList, gobject.SIGNAL_RUN_FIRST,
                    None, (object,))
 
 #-----------------------------------------------------------------------------
 
-class PendingFlightsFrame(Gtk.Frame):
+class PendingFlightsFrame(gtk.Frame):
     """A frame for a list of pending (reported or rejected) flights.
 
@@ -265,6 +271,5 @@
     def __init__(self, which, wizard, window, pirepEditable = False):
         """Construct the frame with the given title."""
-        super(PendingFlightsFrame, self).__init__()
-        self.set_label(xstr("pendflt_title_" + which))
+        super(PendingFlightsFrame, self).__init__(xstr("pendflt_title_" + which))
 
         self._which = which
@@ -273,9 +278,9 @@
         self._pirepEditable = pirepEditable
 
-        alignment = Gtk.Alignment(xscale = 1.0, yscale = 1.0)
+        alignment = gtk.Alignment(xscale = 1.0, yscale = 1.0)
         alignment.set_padding(padding_top = 2, padding_bottom = 8,
                               padding_left = 4, padding_right = 4)
 
-        hbox = Gtk.HBox()
+        hbox = gtk.HBox()
 
         self._flights = []
@@ -289,7 +294,7 @@
         hbox.pack_start(self._flightList, True, True, 4)
 
-        buttonBox = Gtk.VBox()
-
-        self._editButton = Gtk.Button(xstr("pendflt_" +
+        buttonBox = gtk.VBox()
+
+        self._editButton = gtk.Button(xstr("pendflt_" +
                                            ("edit" if pirepEditable else
                                             "view") + "_" + which))
@@ -299,5 +304,5 @@
         buttonBox.pack_start(self._editButton, False, False, 2)
 
-        self._reflyButton = Gtk.Button(xstr("pendflt_refly_" + which))
+        self._reflyButton = gtk.Button(xstr("pendflt_refly_" + which))
         self._reflyButton.set_sensitive(False)
         self._reflyButton.set_use_underline(True)
@@ -305,5 +310,5 @@
         buttonBox.pack_start(self._reflyButton, False, False, 2)
 
-        self._deleteButton = Gtk.Button(xstr("pendflt_delete_" + which))
+        self._deleteButton = gtk.Button(xstr("pendflt_delete_" + which))
         self._deleteButton.set_sensitive(False)
         self._deleteButton.set_use_underline(True)
@@ -355,5 +360,5 @@
     def _pirepResultCallback(self, returned, result):
         """Called when the PIREP query result is available."""
-        GObject.idle_add(self._handlePIREPResult, returned, result)
+        gobject.idle_add(self._handlePIREPResult, returned, result)
 
     def _handlePIREPResult(self, returned, result):
@@ -387,5 +392,5 @@
     def _reflyResultCallback(self, returned, result):
         """Called when the refly result is available."""
-        GObject.idle_add(self._handleReflyResult, returned, result)
+        gobject.idle_add(self._handleReflyResult, returned, result)
 
     def _handleReflyResult(self, returned, result):
@@ -396,5 +401,5 @@
         gui.endBusy()
 
-        print("PendingFlightsFrame._handleReflyResult", returned, result)
+        print "PendingFlightsFrame._handleReflyResult", returned, result
 
         if returned:
@@ -430,5 +435,5 @@
     def _deleteResultCallback(self, returned, result):
         """Called when the deletion result is available."""
-        GObject.idle_add(self._handleDeleteResult, returned, result)
+        gobject.idle_add(self._handleDeleteResult, returned, result)
 
     def _handleDeleteResult(self, returned, result):
@@ -439,5 +444,5 @@
         gui.endBusy()
 
-        print("PendingFlightsFrame._handleDeleteResult", returned, result)
+        print "PendingFlightsFrame._handleDeleteResult", returned, result
 
         if returned:
@@ -458,7 +463,7 @@
     def _producePopupMenu(self):
         """Create the popup menu for the flights."""
-        menu = Gtk.Menu()
-
-        menuItem = Gtk.MenuItem()
+        menu = gtk.Menu()
+
+        menuItem = gtk.MenuItem()
         menuItem.set_label(xstr("pendflt_" +
                                 ("edit" if self._pirepEditable else "view") +
@@ -470,5 +475,5 @@
         menu.append(menuItem)
 
-        menuItem = Gtk.MenuItem()
+        menuItem = gtk.MenuItem()
         menuItem.set_label(xstr("pendflt_refly_" + self._which))
         menuItem.set_use_underline(True)
@@ -478,5 +483,5 @@
         menu.append(menuItem)
 
-        menuItem = Gtk.MenuItem()
+        menuItem = gtk.MenuItem()
         menuItem.set_label(xstr("pendflt_delete_" + self._which))
         menuItem.set_use_underline(True)
@@ -503,5 +508,5 @@
 #-----------------------------------------------------------------------------
 
-class PendingFlightsWindow(Gtk.Window):
+class PendingFlightsWindow(gtk.Window):
     """The window to display the lists of the pending (reported or rejected)
     flights."""
@@ -517,10 +522,10 @@
         self.set_modal(True)
 
-        mainAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        mainAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                       xscale = 1.0, yscale = 1.0)
         mainAlignment.set_padding(padding_top = 0, padding_bottom = 12,
                                   padding_left = 8, padding_right = 8)
 
-        vbox = Gtk.VBox()
+        vbox = gtk.VBox()
 
         self._reportedFrame = PendingFlightsFrame("reported", wizard, self,
@@ -531,9 +536,8 @@
         vbox.pack_start(self._rejectedFrame, True, True, 2)
 
-        alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                   xscale = 0.0, yscale = 0.0)
-        self._closeButton = Gtk.Button(xstr("button_ok"))
+        self._closeButton = gtk.Button(xstr("button_ok"))
         self._closeButton.connect("clicked", self._closeClicked)
-        self._closeButton.set_use_underline(True)
         alignment.add(self._closeButton)
         vbox.pack_start(alignment, False, False, 2)
@@ -580,5 +584,5 @@
         If the Escape key is pressed, 'delete-event' is emitted to close the
         window."""
-        if Gdk.keyval_name(event.keyval) == "Escape":
+        if gdk.keyval_name(event.keyval) == "Escape":
             self.emit("delete-event", None)
             return True
@@ -586,5 +590,5 @@
 #-----------------------------------------------------------------------------
 
-class AcceptedFlightsWindow(Gtk.Window):
+class AcceptedFlightsWindow(gtk.Window):
     """A window for a list of accepted flights."""
     def getFlightDuration(flightTimeStart, flight):
@@ -622,5 +626,5 @@
                          extraColumnAttributes =
                              { "alignment": 1.0 },
-                         cellDataFn = lambda col, cell, model, iter, data:
+                         cellDataFn = lambda col, cell, model, iter:
                              cell.set_property("text",
                                                "%.0f" %
@@ -638,11 +642,11 @@
         self.set_transient_for(gui.mainWindow)
 
-        alignment = Gtk.Alignment(xscale = 1.0, yscale = 1.0)
+        alignment = gtk.Alignment(xscale = 1.0, yscale = 1.0)
         alignment.set_padding(padding_top = 2, padding_bottom = 8,
                               padding_left = 4, padding_right = 4)
 
-        vbox = Gtk.VBox()
-
-        hbox = Gtk.HBox()
+        vbox = gtk.VBox()
+
+        hbox = gtk.HBox()
         vbox.pack_start(hbox, True, True, 4)
 
@@ -657,20 +661,18 @@
         hbox.pack_start(self._flightList, True, True, 4)
 
-        buttonBox = Gtk.VBox()
-
-        self._refreshButton = Gtk.Button(xstr("acceptedflt_refresh"))
+        buttonBox = gtk.VBox()
+
+        self._refreshButton = gtk.Button(xstr("acceptedflt_refresh"))
         self._refreshButton.set_sensitive(True)
-        self._refreshButton.set_use_underline(True)
         self._refreshButton.connect("clicked", self._refreshClicked)
         buttonBox.pack_start(self._refreshButton, False, False, 2)
 
-        filler = Gtk.Alignment(xalign = 0.0, yalign = 0.0,
+        filler = gtk.Alignment(xalign = 0.0, yalign = 0.0,
                                xscale = 1.0, yscale = 1.0)
         filler.set_size_request(-1, 4)
         buttonBox.pack_start(filler, False, False, 0)
 
-        self._viewButton = Gtk.Button(xstr("acceptedflt_view"))
+        self._viewButton = gtk.Button(xstr("acceptedflt_view"))
         self._viewButton.set_sensitive(False)
-        self._viewButton.set_use_underline(True)
         self._viewButton.connect("clicked", self._viewClicked)
         buttonBox.pack_start(self._viewButton, False, False, 2)
@@ -678,10 +680,9 @@
         hbox.pack_start(buttonBox, False, False, 4)
 
-        buttonAlignment = Gtk.Alignment(xscale = 0.0, yscale = 0.0,
+        buttonAlignment = gtk.Alignment(xscale = 0.0, yscale = 0.0,
                                         xalign = 0.5, yalign = 0.5)
 
-        self._closeButton =  Gtk.Button(xstr("button_ok"))
+        self._closeButton =  gtk.Button(xstr("button_ok"))
         self._closeButton.connect("clicked", self._closeClicked)
-        self._closeButton.set_use_underline(True)
 
         buttonAlignment.add(self._closeButton)
@@ -741,5 +742,5 @@
     def _pirepResultCallback(self, returned, result):
         """Called when the PIREP query result is available."""
-        GObject.idle_add(self._handlePIREPResult, returned, result)
+        gobject.idle_add(self._handlePIREPResult, returned, result)
 
     def _handlePIREPResult(self, returned, result):
@@ -763,5 +764,5 @@
         If the Escape key is pressed, 'delete-event' is emitted to close the
         window."""
-        if Gdk.keyval_name(event.keyval) == "Escape":
+        if gdk.keyval_name(event.keyval) == "Escape":
             self.emit("delete-event", None)
             return True
Index: src/mlx/gui/gates.py
===================================================================
--- src/mlx/gui/gates.py	(revision 996)
+++ src/mlx/gui/gates.py	(revision 619)
@@ -19,5 +19,5 @@
 #-------------------------------------------------------------------------------
 
-class FleetGateStatus(Gtk.VBox):
+class FleetGateStatus(gtk.VBox):
     """The tab to display the fleet and gate status."""
     def __init__(self, gui):
@@ -27,5 +27,5 @@
         self._gui = gui
 
-        mainAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        mainAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                       xscale = 1.0, yscale = 1.0)
         mainAlignment.set_padding(padding_top = 4, padding_bottom = 4,
@@ -33,20 +33,20 @@
         self.add(mainAlignment)
 
-        self._mainBox = mainBox = Gtk.VBox()
+        self._mainBox = mainBox = gtk.VBox()
         mainAlignment.add(mainBox)
     
-        self._statusBox = statusBox = Gtk.HBox()
+        self._statusBox = statusBox = gtk.HBox()
         mainBox.pack_start(statusBox, True, True, 4)
 
-        fleetFrame = Gtk.Frame(label = xstr("gates_fleet_title"))
+        fleetFrame = gtk.Frame(label = xstr("gates_fleet_title"))
         fleetLabel = fleetFrame.get_label_widget()
         fleetLabel.set_use_underline(True)
         statusBox.pack_start(fleetFrame, False, False, 4)
 
-        self._fleetStore = Gtk.ListStore(str, str)
-        self._fleetList = Gtk.TreeView(self._fleetStore)
+        self._fleetStore = gtk.ListStore(str, str)
+        self._fleetList = gtk.TreeView(self._fleetStore)
         self._fleetList.set_tooltip_markup(xstr("gates_planes_tooltip"))
         fleetLabel.set_mnemonic_widget(self._fleetList)
-        column = Gtk.TreeViewColumn(xstr("gates_tailno"), Gtk.CellRendererText(),
+        column = gtk.TreeViewColumn(xstr("gates_tailno"), gtk.CellRendererText(),
                                     text = 0)
         column.set_expand(True)
@@ -54,5 +54,5 @@
         self._fleetList.append_column(column)
 
-        column = Gtk.TreeViewColumn(xstr("gates_planestatus"), Gtk.CellRendererText(),
+        column = gtk.TreeViewColumn(xstr("gates_planestatus"), gtk.CellRendererText(),
                                     markup = 1)
         column.set_expand(True)
@@ -60,15 +60,18 @@
         self._fleetList.append_column(column)
 
-        scrolledWindow = Gtk.ScrolledWindow()
+        scrolledWindow = gtk.ScrolledWindow()
         scrolledWindow.add(self._fleetList)
         scrolledWindow.set_size_request(200, -1)
         # FIXME: these should be constants in common.py
-        scrolledWindow.set_policy(Gtk.PolicyType.AUTOMATIC,
-                                  Gtk.PolicyType.AUTOMATIC)
-        scrolledWindow.set_shadow_type(Gtk.ShadowType.IN)
+        scrolledWindow.set_policy(gtk.PolicyType.AUTOMATIC if pygobject
+                                  else gtk.POLICY_AUTOMATIC,
+                                  gtk.PolicyType.AUTOMATIC if pygobject
+                                  else gtk.POLICY_AUTOMATIC)
+        scrolledWindow.set_shadow_type(gtk.ShadowType.IN if pygobject
+                                       else gtk.SHADOW_IN)
 
 
         self._fleetAlignment =  alignment = \
-                               Gtk.Alignment(xalign = 0.5, yalign = 0.0,
+                               gtk.Alignment(xalign = 0.5, yalign = 0.0,
                                              xscale = 0.0, yscale = 1.0)
         alignment.set_padding(padding_top = 4, padding_bottom = 4,
@@ -77,11 +80,11 @@
         fleetFrame.add(alignment)        
         
-        self._gatesFrame = gatesFrame = Gtk.Frame(label = xstr("gates_gates_title"))
+        self._gatesFrame = gatesFrame = gtk.Frame(label = xstr("gates_gates_title"))
         statusBox.pack_start(gatesFrame, True, True, 4)        
 
-        self._gatesTable = table = Gtk.Table(lhbpGates.numRows,
+        self._gatesTable = table = gtk.Table(lhbpGates.numRows,
                                              lhbpGates.numColumns)
         table.set_tooltip_markup(xstr("gates_gates_tooltip"))
-        alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                   xscale = 1.0, yscale = 1.0)
         alignment.set_padding(padding_top = 4, padding_bottom = 4,
@@ -97,5 +100,5 @@
                 gate = data
 
-                label = Gtk.Label()
+                label = gtk.Label()
                 label.set_markup("<b>" + gate.number + "</b>")
                 table.attach(label, column, column + 1, row, row + 1)
@@ -109,10 +112,10 @@
                 column += 1
 
-        button = Gtk.Button(xstr("gates_refresh"))
+        button = gtk.Button(xstr("gates_refresh"))
         button.set_use_underline(True)
         button.set_tooltip_text(xstr("gates_refresh_tooltip"))
         button.connect("clicked", self._refreshClicked)
 
-        alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                   xscale = 0.0, yscale = 0.0)
         alignment.add(button)
@@ -140,5 +143,5 @@
         self._fleetStore.clear()
         if fleet is None:
-            for (gateNumber, label) in self._gateLabels.items():
+            for (gateNumber, label) in self._gateLabels.iteritems():
                 label.set_markup("<b>" + gateNumber + "</b>")
         else:        
@@ -162,5 +165,7 @@
                 self._fleetStore.append([tailNumber, status])
             # FIXME: this should be a constant in common.py
-            self._fleetStore.set_sort_column_id(0, Gtk.SortType.ASCENDING)
+            self._fleetStore.set_sort_column_id(0,
+                                                gtk.SortType.ASCENDING if pygobject
+                                                else gtk.SORT_ASCENDING)
 
             occupiedGateNumbers = fleet.getOccupiedGateNumbers()
